using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace SampleGridExp
{
    public partial class Form1 : Form
    {
        #region Variables
        public ArrayList myList;
        #endregion

        public Form1()
        {
            InitializeComponent();
            this.gridDataBoundGrid1.Model.QueryCellInfo +=new Syncfusion.Windows.Forms.Grid.GridQueryCellInfoEventHandler(Model_QueryCellInfo);
            this.gridDataBoundGrid1.CellDoubleClick +=new GridCellClickEventHandler(gridDataBoundGrid1_CellDoubleClick);
            this.gridDataBoundGrid1.CurrentCellControlDoubleClick +=new ControlEventHandler(gridDataBoundGrid1_CurrentCellControlDoubleClick);
            BindGrid();

        }
        private void BindGrid()
        {
            DataTable myTable = new DataTable();
            DataRow myRow = null;
            DataColumn Name = new DataColumn("Name");
            DataColumn Location = new DataColumn("Location");
            DataColumn Amount = new DataColumn("Amount");

            myTable.Columns.Add(Name);
            myTable.Columns.Add(Location);
            myTable.Columns.Add(Amount);
            myRow = myTable.NewRow();
            myRow["Name"] = "Raghu";
            myRow["Location"] = "Alkapuri";
            myRow["Amount"] = "100";
            myTable.Rows.Add(myRow);

            myRow = myTable.NewRow();
            myRow["Name"] = "Pradeep";
            myRow["Location"] = "Saroornagar";
            myRow["Amount"] = "200";
            myTable.Rows.Add(myRow);

            myRow = myTable.NewRow();
            myRow["Name"] = "Sekhar";
            myRow["Location"] = "Kothapet";
            myRow["Amount"] = "300";
            myTable.Rows.Add(myRow);

            myRow = myTable.NewRow();
            myRow["Name"] = "Vamsi";
            myRow["Location"] = "SRNagar";
            myRow["Amount"] = "400";
            myTable.Rows.Add(myRow);

            this.gridDataBoundGrid1.DataSource = myTable;
        }
        private void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            int colIndex = this.gridDataBoundGrid1.CurrentCell.ColIndex;
            if (colIndex == 3)
            {
                e.Style.CellType = "TextBox";
            }
            else
            {
                e.Style.CellType = "Static";
            }


        }
        private void Form1_Load(object sender, EventArgs e)
        {
        }

        private void gridDataBoundGrid1_CellDoubleClick(object sender, GridCellClickEventArgs e)
        {
            if(e.MouseEventArgs.Button != MouseButtons.Right)
            {
            MessageBox.Show("Double Click");
            }
        }

        private void gridDataBoundGrid1_CurrentCellControlDoubleClick(object sender, ControlEventArgs e)
        {
            MessageBox.Show("Current cell control double click");
        }
        
    }
}